#pragma once

#include "V3.h"
#include "ppc.h"
#include "framebuffer.h"

class TMesh {
public:
	V3 *verts;
	int vertsN;
	unsigned int *tris;
	int trisN;
	TMesh() : verts(0), vertsN(0), tris(0), trisN(0) {};
	void SetToCube(V3 cc, float sideLength, unsigned int color);
	void Allocate(int _vertsN, int _trisN);
	void DrawCubeQuadFaces(FrameBuffer *fb, PPC *ppc, unsigned int color);
	void DrawWireFrame(FrameBuffer *fb, PPC *ppc, unsigned int color);
};